> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /hh/employers

> Get HeadHunter employer details by id

**Price:** 10 credits

**⚠️ Common errors:** 412: Employer not found



## OpenAPI

````yaml /openapi/jobs.json post /api/hh/employers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/hh/employers:
    post:
      tags:
        - /hh
      summary: /hh/employers
      description: |-
        Get HeadHunter employer details by id

        **Price:** 10 credits

        **⚠️ Common errors:** 412: Employer not found
      operationId: __api_hh_employers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HhEmployerPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HhEmployer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HhEmployerPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        employer_id:
          type: string
          minLength: 1
      type: object
      required:
        - employer_id
    HhEmployer:
      properties:
        '@type':
          type: string
          default: HhEmployer
        id:
          type: integer
        name:
          type: string
        url:
          type: string
        description_text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        site_url:
          anyOf:
            - type: string
            - type: 'null'
        site_hostname:
          anyOf:
            - type: string
            - type: 'null'
        area_name:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        size_category:
          anyOf:
            - type: string
            - type: 'null'
        organization_form_id:
          anyOf:
            - type: integer
            - type: 'null'
        industries:
          items:
            $ref: '#/components/schemas/HhEmployerIndustry'
          type: array
          default: []
        badges:
          items:
            $ref: '#/components/schemas/HhEmployerBadge'
          type: array
          default: []
        hh_rating_position:
          anyOf:
            - type: string
            - type: 'null'
        hh_rating_year:
          anyOf:
            - type: integer
            - type: 'null'
        active_vacancy_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_open_reviews:
          anyOf:
            - type: boolean
            - type: 'null'
        is_accredited_it:
          anyOf:
            - type: boolean
            - type: 'null'
        is_trusted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_accepted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_zp_employer:
          anyOf:
            - type: boolean
            - type: 'null'
        has_divisions:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HhEmployerIndustry:
      properties:
        '@type':
          type: string
          default: HhEmployerIndustry
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HhEmployerBadge:
      properties:
        '@type':
          type: string
          default: HhEmployerBadge
        type:
          anyOf:
            - type: string
            - type: 'null'
        position:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````